[pve-devel] New Kernel for Proxmox VE 3.1 and bug fixes

Martin Maurer martin at proxmox.com
Thu Sep 26 08:29:50 CEST 2013


Hi all,

We released a new kernel for Proxmox VE 3.1 and a lot of fixes. All this can be updated via GUI with just a few clicks, or as always via "apt-get update && apt-get dist-upgrade".
A big Thank-you to our active community for all feedback, testing, bug reporting and patch submissions.

Release notes

- pve-kernel-2.6.32 (2.6.32-111)
  * KVM: x86: Fix invalid secondary exec controls in vmx_cpuid_update()
  * update to vzkernel-2.6.32-042stab079.6.src.rpm
  *  update aacraid to aacraid-1.2.1-30300.src.rpm
  *  update e1000e to 2.5.4
  * update igb to 5.0.5
  *  update ixgbe to 3.17.3 

- pve-manager (3.1-14)
  *  avoid warning in daily cron script
  *  dissable SSL compression (avoid TLS CRIME vulnerability)
  *  fix bug #456: allow glusterfs as backup storage
  * vzdump: fix hook script environment for job-* phase
  *  vzdump: pass storage ID to hook scripts
  *  depend on libcrypt-ssleay-perl and liblwp-protocol-https-perl (for correct LWP https support)
  * fix https proxy calls (always use CONNECT)
  * use correct changelog URLs for pve repositories
  *  vzdump: correctly handle maxfiles parameter (0 is unlimited)
  *  improve API2Client.pm code
  *  update German translation
  * update Chinese translation
  * apt: proxy changelog API call to correct node 

- qemu-server (3.1-4)
  *  qemu migrate : only wait for spice server online + eval
  * speedup restore on glusterfs (do not write zero bytes)
  * Allow VMAdmin/DatastoreUser to delete disk 

- apt (0.9.7.10)
  * fix Bug#669620: apt-transport-https: proxy authentication credentials are ignored 

- ceph-common (0.67.3-1~bpo70+1), librados2 (0.67.3-1~bpo70+1), librbd1 (0.67.3-1~bpo70+1), python-ceph (0.67.3-1~bpo70+1)
  * New upstream release 

- libpve-storage-perl (3.0-13)
  * bug fix: use filesysetm_path for LVM/iSCSI storage
  * glusterfs: really delete volumes when requested
  * API fix: auto-detect format for files with vmdk extension
  * API fix: return error if volume does not exists 

- pve-libspice-server (0.12.4-2)
  * conflict with debian package 'libspice-server1' 

- pve-sheepdog (0.6.2-1)
  * Bump to sheepdog 0.6.2 

Package Repositories

http://pve.proxmox.com/wiki/Package_repositories

Source Code
http://git.proxmox.com
______________________________________
Best Regards,

Martin Maurer

martin at proxmox.com
http://www.proxmox.com




More information about the pve-devel mailing list